GTPin: gtpin::GtSystolicInfo Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtSystolicInfo Class Reference
GTPin: GEN Architecture

Properties/attributes of the systolic array instruction. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
| GtSystolicInfo ()
| Invalid systolic info.
| GtSystolicInfo (uint32_t rcount, uint32_t sdepth, uint32_t opsPerChannel, uint32_t src1Precision, uint32_t src2Precision)
| Constructor.
constexpr bool | IsValid () const
| Return true for a valid systolic info.
uint32_t | Depth () const
uint32_t | OpsPerChannel () const
uint32_t | SrcPrecisionInBits (uint32_t index) const

## Detailed Description

Properties/attributes of the systolic array instruction.

## Constructor & Destructor Documentation

gtpin::GtSystolicInfo::GtSystolicInfo | ( | uint32_t | rcount,
|  | uint32_t | sdepth,
|  | uint32_t | opsPerChannel,
|  | uint32_t | src1Precision,
|  | uint32_t | src2Precision
| ) |  | `[inline]`

Constructor.

Parameters:

  [in] | rcount | Rcount field
  [in] | sdepth | Sdepth field
  [in] | opsPerChannel | Number of operations per channel
  [in] | src1Precision | Precision in bits of src1
  [in] | src2Precision | Precision in bits of src2

## Member Function Documentation

uint32_t gtpin::GtSystolicInfo::Depth | ( |  | ) | const`[inline]`

Returns:
  Rcount filed of systolic array instruction

uint32_t gtpin::GtSystolicInfo::OpsPerChannel | ( |  | ) | const`[inline]`

Returns:
  Sdepth field of systolic array instruction

uint32_t gtpin::GtSystolicInfo::SrcPrecisionInBits | ( | uint32_t | index | ) | const`[inline]`

Returns:
  Number of operations per channel of systolic array instruction and zero otherwise
  Precision in bits of Src1 or Src2 operand of systolic array instruction and zero otherwise

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT